package com.persagy.adm.diagram.core.model.base;

import java.util.List;

/**
 * 容器接口
 * @author zhaoyk
 */
public interface IContainer extends IComponent, IEquipHolder {

    Layout getLayout();

    void setLayout(Layout layout);

    List<IComponent> getChildren();

    void addComp(IComponent child);

    void removeComp(String childId);

}
